# F2D class. Show in HPlot3D canvas and functions in 3D
# S.Chekanov



from jhplot  import HPlot3D,F2D


c1 = HPlot3D("Canvas",600,400)
c1.visible(1)
c1.setNameX("Xaxis")
c1.setNameY("Yaxis")

f1 = F2D("2*exp(-x*y/20)+10*sin(pi*x)/y", -2.0, 5.0, -2.0, 5.0)
f2 = F2D("4*x*y", -2.0, 5.0, -2.0, 5.0)
c1.draw(f1,f2)

# export to some image (png,eps,pdf,jpeg...)
# c1.export(Editor.DocMasterName()+".png");
